import { ColumnComp as g } from "./73c7fe37.js";
import { gR as a, dU as d, c1 as c } from "./789d3585.js";
import { MockTableComp as w } from "./eb8a67ab.js";
import { TableComp as x } from "./9635d562.js";
import { O as f } from "./dca417fa.js";
import "react";
import "./246ed4c0.js";
import "./67f003c5.js";
import "./4c71935a.js";
import "./169e2c4a.js";
import "react-dom";
import "./3c1b6cdc.js";
import "./25dc9043.js";
import "./0be0a2ea.js";
import "./b2008248.js";
import "./17721b69.js";
import "./b90ec6d6.js";
import "./b5402a63.js";
import "./2be9fc48.js";
import "./ed06f4b5.js";
import "./d5f54a41.js";
import "./77c1c8b7.js";
import "./9fc14166.js";
import "./788b7193.js";
import "./899267b0.js";
import "./34cae379.js";
import "./a5ea93ac.js";
import "./6a5fcd40.js";
import "./10c6c547.js";
import "./846bd6eb.js";
import "./cc3706f7.js";
import "./6a6daa49.js";
import "./cd691aa6.js";
import "./4fc017f3.js";
import "./068a9286.js";
import "./9258e9a7.js";
import "./826c9b36.js";
import "./0a8443a9.js";
import "./553f62ec.js";
import "./73a52192.js";
import "./f1fa7c6d.js";
import "./c8091731.js";
import "./68e9c64a.js";
import "./b30301a4.js";
import "./008f49c6.js";
test("test column", () => {
  const e = {
    title: "name"
    // editable: true, // TODO: change to boolean
  };
  let o = new g({
    value: e
  });
  o = a(o);
  const t = o.getView();
  expect(t.title).toEqual(e.title);
});
test("test column render", () => {
  const e = {
    render: {
      compType: "text",
      comp: {
        text: "{{currentRow.id}}"
      }
    }
    // editable: true, // TODO: change to boolean
  };
  let o = new g({
    value: e
  });
  o = a(o);
  const t = o.getView();
  expect(t.render({
    currentCell: null,
    currentIndex: null,
    currentRow: {
      id: "hello"
    },
    currentOriginalIndex: null
  }, "0").getView().view({}).props.normalView).toEqual("hello");
});
test("test table", async () => {
  const e = {
    data: JSON.stringify([{
      a: 1
    }]),
    columns: [{
      dataIndex: "a",
      hide: !0
    }, {
      title: "custom",
      dataIndex: "",
      isCustom: !0
    }]
  }, o = {
    query1: d({
      data: [{
        q: 1
      }]
    }),
    query2: d({
      data: [{
        q2: 2
      }]
    })
  };
  let t = new x({
    dispatch: (l) => {
      t = a(t.reduce(l), o);
    },
    value: e
  });
  t = a(t);
  let r = t.children.columns.getView();
  expect(r.length).toEqual(2), t = a(t.reduce(t.changeChildAction("data", '[{"a":1, "c":2, "d":3}]'))), await new Promise((l) => setTimeout(l, 20)), r = t.children.columns.getView(), expect(r.length).toEqual(4), expect(r[0].getView().dataIndex).toEqual("a"), expect(r[0].getView().hide).toBe(!0), expect(r[1].getView().title).toEqual("custom"), expect(r[2].getView().title).toEqual("c"), expect(r[3].getView().title).toEqual("d");
}, 1e3);
test("test mock table render", () => {
  let e = new w({});
  e = a(e);
});
test("test table data transform", () => {
  function e(i, m) {
    const p = m.exposingValues.displayData, {
      data: u
    } = m.getProps(), s = m.filterData;
    return expect(u.length).toEqual(3), expect(p.length).toEqual(i), expect(p.map((n) => c.omit(n, "custom"))).toEqual(c.map(s, (n) => c.omit(n, f))), {
      transformedData: s,
      data: u,
      displayData: p
    };
  }
  const o = {
    data: JSON.stringify([{
      id: 1,
      name: "gg"
    }, {
      id: 5,
      name: "gg2"
    }, {
      id: 3,
      name: "jjj"
    }]),
    columns: [{
      dataIndex: "id",
      isCustom: !1,
      sortable: !0,
      render: {
        compType: "text",
        comp: {
          text: "{{currentCell}}"
        }
      }
    }, {
      dataIndex: "name",
      isCustom: !1,
      render: {
        compType: "text",
        comp: {
          text: "{{currentCell}}"
        }
      }
    }, {
      title: "custom",
      dataIndex: "ealekfg",
      isCustom: !0,
      render: {
        compType: "image",
        comp: {
          src: "{{currentRow.id}}"
        }
      }
    }]
  };
  let t = new x({
    dispatch: (i) => {
      t = a(t.reduce(i));
    },
    value: o
  });
  t = a(t), t = a(t.reduce(t.changeChildAction("sort", [{
    column: "id",
    desc: !0
  }])));
  let {
    transformedData: r,
    data: l,
    displayData: h
  } = e(3, t);
  expect(r.map((i) => i.id)).toEqual([5, 3, 1]), t = a(t.reduce(t.changeChildAction("toolbar", {
    searchText: "gg"
  }))), e(2, t), t = a(t.reduce(t.changeChildAction("toolbar", {
    showFilter: !0,
    filter: {
      stackType: "and",
      filters: [{
        columnKey: "id",
        filterValue: "4",
        operator: "gt"
      }, {
        columnKey: "id",
        filterValue: "5",
        operator: "lte"
      }]
    }
  }))), e(1, t);
});
